import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconOverview = (props: IconProps) => {
    return <Icon  id="IconOverview" {...props}>
        <path fillRule="evenodd" clipRule="evenodd" d="M3.5 3.5C3.22386 3.5 3 3.72386 3 4V21C3 21.2761 3.22386 21.5 3.5 21.5H20.5C20.7761 21.5 21 21.2761 21 21V4C21 3.72386 20.7761 3.5 20.5 3.5H3.5ZM1 4C1 2.61929 2.11929 1.5 3.5 1.5H20.5C21.8807 1.5 23 2.61929 23 4V21C23 22.3807 21.8807 23.5 20.5 23.5H3.5C2.11929 23.5 1 22.3807 1 21V4ZM5 6.5C5 5.94772 5.44772 5.5 6 5.5H10C10.5523 5.5 11 5.94772 11 6.5V10.5C11 11.0523 10.5523 11.5 10 11.5H6C5.44772 11.5 5 11.0523 5 10.5V6.5ZM7 7.5V9.5H9V7.5H7ZM13 6.5C13 5.94772 13.4477 5.5 14 5.5H18C18.5523 5.5 19 5.94772 19 6.5C19 7.05228 18.5523 7.5 18 7.5H14C13.4477 7.5 13 7.05228 13 6.5ZM13 10.5C13 9.94772 13.4477 9.5 14 9.5H18C18.5523 9.5 19 9.94772 19 10.5C19 11.0523 18.5523 11.5 18 11.5H14C13.4477 11.5 13 11.0523 13 10.5ZM5 14.5C5 13.9477 5.44772 13.5 6 13.5H18C18.5523 13.5 19 13.9477 19 14.5C19 15.0523 18.5523 15.5 18 15.5H6C5.44772 15.5 5 15.0523 5 14.5ZM5 18.5C5 17.9477 5.44772 17.5 6 17.5H18C18.5523 17.5 19 17.9477 19 18.5C19 19.0523 18.5523 19.5 18 19.5H6C5.44772 19.5 5 19.0523 5 18.5Z" />
    </Icon>;
};

export default IconOverview;
